Skip to content

appIndex.searchApps

GET
/v1/app-index/apps
curl --request GET \
--url https://example.com/v1/app-index/apps
query
string
<= 200 characters
source
string
>= 1 characters
cursor
string
<= 8192 characters
limit
string

Success

Media typeapplication/json
object
apps
required
Array<object>
object
entry
required
object
cardUrl
required
string
card
required
object
$schema
required
string
Allowed values: https://static.modelcontextprotocol.io/schemas/v1/server-card.schema.json
name
required
string
>= 2 characters <= 200 characters
version
required
string
>= 1 characters <= 255 characters
description
required
string
>= 1 characters <= 100 characters
title
Any of:
string
>= 1 characters <= 100 characters
websiteUrl
Any of:
string
repository
Any of:
object
url
required
string
source
required
string
subfolder
Any of:
string
id
Any of:
string
icons
Any of:
Array<object>
object
src
required
string
mimeType
Any of:
string
sizes
Any of:
Array<string>
theme
Any of:
string
Allowed values: light dark
remotes
Any of:
Array<object>
object
type
required
string
Allowed values: streamable-http sse
url
required
string
headers
Any of:
Array<object>
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
name
required
string
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
supportedProtocolVersions
Any of:
Array<string>
_meta
Any of:
object
evidence
required
Array<object>
>= 1 items
object
publisherUrl
required
string
catalogUrl
required
string
cardUrl
required
string
association
required
string
Allowed values: CardOrigin Website CardLink
checkedAt
required
number
validators
required
object
etag
Any of:
string
lastModified
Any of:
string
sources
required
Array<object>
object
id
required
string
>= 1 characters
name
required
string
>= 1 characters
url
required
string
simulated
required
boolean
matches
required
Array<string>
Allowed values: name description publisher
check
Any of:
object
_tag
required
string
Allowed values: Pending
restriction
object
cardUrl
required
string
reason
required
string
>= 1 characters
appealUrl
required
string
nextCursor
required
Any of:
string
issues
required
Array<object>
object
source
required
string
>= 1 characters
message
required
string

Example

{
"apps": [
{
"entry": {
"card": {
"$schema": "https://static.modelcontextprotocol.io/schemas/v1/server-card.schema.json",
"icons": [
{
"theme": "light"
}
],
"remotes": [
{
"type": "streamable-http",
"headers": [
{
"format": "string",
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
],
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
]
},
"evidence": [
{
"association": "CardOrigin"
}
]
},
"matches": [
"name"
],
"check": {
"_tag": "Pending"
}
}
]
}

IndexInputInvalid

Media typeapplication/json
object
_tag
required
string
Allowed values: IndexInputInvalid
message
required
string

Example

{
"_tag": "IndexInputInvalid"
}

IndexRestricted

Media typeapplication/json
object
_tag
required
string
Allowed values: IndexRestricted
restriction
required
object
cardUrl
required
string
reason
required
string
>= 1 characters
appealUrl
required
string

Example

{
"_tag": "IndexRestricted"
}

IndexNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: IndexNotFound
message
required
string

Example

{
"_tag": "IndexNotFound"
}

IndexUnavailable

Media typeapplication/json
object
_tag
required
string
Allowed values: IndexUnavailable
issues
required
Array<object>
object
source
required
string
>= 1 characters
message
required
string

Example

{
"_tag": "IndexUnavailable"
}